create_polygon_void#

Modeler3DLayout.create_polygon_void(layername, point_list, object_owner, units=None, name=None)[source]#

Create a polygon void on a specified layer.

Parameters:
layernamestr

Name of the layer.

point_listlist

List of points in a list of [x, y] coordinates.

object_ownerstr

Object Owner.

unitsstr, optional

Polygon units. Default is modeler units.

namestr, optional

Name of the rectangle. The default is None, in which case the default name is assigned.

Returns:
pyaedt.modeler.cad.object3dlayout.Polygons3DLayout

Object of the rectangle created when successful.

References

>>> oEditor.CreatePolygon